Loading...
Searching...
No Matches
volk_arch_defs.py File Reference

## Data Structures

class | volk_arch_defs.arch_class

## Namespaces

namespace | volk_arch_defs

## Functions

| volk_arch_defs.register_arch (**kwargs)

## Variables

| volk_arch_defs.archs = list()
| volk_arch_defs.arch_dict = dict()
| volk_arch_defs.gendir = os.path.dirname(__file__)
| volk_arch_defs.archs_xml = minidom.parse(os.path.join(gendir, 'archs.xml')).getElementsByTagName('arch')
| volk_arch_defs.kwargs = dict()
| volk_arch_defs.name = node.tagName
| volk_arch_defs.val = arch_xml.getElementsByTagName(name)[0].firstChild.data
| volk_arch_defs.checks = list()
| volk_arch_defs.params = list()
| volk_arch_defs.flags = dict()